
local MainScene = class("MainScene", cc.load("mvc").ViewBase)

function MainScene:onCreate()
    self:testBigModelInLight()

end

-- 测试3d模型在光照情况下放大的效果
function MainScene:testBigModelInLight()
    local pointLight = cc.PointLight:create(cc.vec3(display.cx,display.cy-200, -100), cc.c3b(255, 255, 255), 10001)
    pointLight:setEnabled(true)
    self:addChild(pointLight)

    local directionalLight = cc.DirectionLight:create(cc.vec3(-0.2, -0.5, -1.0), cc.c3b(255, 255, 255))
    directionalLight:setEnabled(true)
    self:addChild(directionalLight)
    directionalLight:setIntensity(1.2)

    local sp = cc.Sprite3D:create("box/orc.c3t")
    self:addChild(sp)
    sp:setPosition3D(cc.vec3(display.cx, display.cy-300, 0))
    sp:setRotation3D(cc.vec3(0, 180, 0))
    sp:setScale(100)

end

return MainScene
